Summary: A library of functions for manipulating PNG image format files.
Name: libpng
Version: 1.0.3
Release: 1
Group: Libraries
Copyright: distributable
Url: http://www.cdrom.com/pub/png/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.cdrom.com/pub/png/src/libpng-%{version}.tar.gz
Patch: libpng-1.0.3-rhconf.patch
Buildroot: /var/tmp/%{name}-root

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.


%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Group: Development/Libraries
Requires: libpng = %{version}

%description devel
The libpng-devel package contains the header files and static libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.


%prep
%setup -q
cp scripts/makefile.lnx Makefile
%patch -p1


%build
gzip -9f *.3 *.5	# gzip huge man pages first
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*
mkdir -p $RPM_BUILD_ROOT/usr/man/man{3,5}
install -m 644 *.3.gz $RPM_BUILD_ROOT/usr/man/man3
install -m 644 *.5.gz $RPM_BUILD_ROOT/usr/man/man5


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES INSTALL KNOWNBUG README TODO Y2KINFO
%doc libpng.txt example.c
/usr/lib/libpng.so.*
/usr/man/man5/*


%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/libpng.a
/usr/lib/libpng.so
/usr/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

